## GstVersion

GstVersion — GStreamer version macros.

## Functions

#define | GST_CHECK_VERSION()

## Types and Values

#define | GST_VERSION_MAJOR
#define | GST_VERSION_MINOR
#define | GST_VERSION_MICRO
#define | GST_VERSION_NANO

## Includes

    #include <gst/gst.h>

## Description

Use the GST_VERSION_* macros e.g. when defining own plugins. The GStreamer runtime checks if these plugin and core version match and refuses to use a plugin compiled against a different version of GStreamer. You can also use the macros to keep the GStreamer version information in your application.

Use the `gst_version()` function if you want to know which version of GStreamer you are currently linked against.

The version macros get defined by including "gst/gst.h".

## Functions

### GST_CHECK_VERSION()

    #define             GST_CHECK_VERSION(major,minor,micro)

Check whether a GStreamer version equal to or greater than major.minor.micro is present.

#### Parameters

major | a number indicating the major version |
minor | a number indicating the minor version |
micro | a number indicating the micro version |

## Types and Values

### GST_VERSION_MAJOR

    #define GST_VERSION_MAJOR (1)

The major version of GStreamer at compile time:

### GST_VERSION_MINOR

    #define GST_VERSION_MINOR (16)

The minor version of GStreamer at compile time:

### GST_VERSION_MICRO

    #define GST_VERSION_MICRO (0)

The micro version of GStreamer at compile time:

### GST_VERSION_NANO

    #define GST_VERSION_NANO (0)

The nano version of GStreamer at compile time: Actual releases have 0, GIT versions have 1, prerelease versions have 2-...